
classdef EMLGenerator < handle
    %UNTITLED Summary of this class goes here
    %   Detailed explanation goes here
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification    
    properties
        data = [];
        datatype = [];
        multi_output = 1;
    end
    
    methods(Static)
        revised_input = parse_inputs(input_string);
        
        
        
        converted = type_convert(name,type,expression);
        
        
        
    end
    
    methods
        %% EMLGenerator
        %    constructor
        % inputs:
        %   data:Data - data object to use as data
        % outputs:
        %   object:EMLGenerator - created object
        function object = EMLGenerator(data)
            object.data = data;
        end
        
        
        
        
        
    end
    
end

